## org.eclipse.emf.common.ui.celleditor
Class ExtendedDialogCellEditor

    java.lang.Object
      org.eclipse.jface.viewers.CellEditor
          org.eclipse.jface.viewers.DialogCellEditor
              org.eclipse.emf.common.ui.celleditor.ExtendedDialogCellEditor

    public abstract class ExtendedDialogCellEditor

extends DialogCellEditor

This uses a label provider to display a dialog cell editor.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.viewers.CellEditor
`CellEditor.LayoutData`

Field Summary
`protected ILabelProvider` `labelProvider`

Fields inherited from class org.eclipse.jface.viewers.DialogCellEditor
`CELL_EDITOR_IMG_DOTS_BUTTON`

Fields inherited from class org.eclipse.jface.viewers.CellEditor
`COPY, CUT, DELETE, FIND, PASTE, REDO, SELECT_ALL, UNDO`

Constructor Summary
`ExtendedDialogCellEditor(Composite composite, ILabelProvider labelProvider)`

Method Summary
`protected void` `updateContents(java.lang.Object object)`

Methods inherited from class org.eclipse.jface.viewers.DialogCellEditor
`createButton, createContents, createControl, deactivate, doGetValue, doSetFocus, doSetValue, getDefaultLabel, openDialogBox`

Methods inherited from class org.eclipse.jface.viewers.CellEditor

`activate, activate, addListener, addPropertyChangeListener, create, dispose, fireApplyEditorValue, fireCancelEditor, fireEditorValueChanged, fireEnablementChanged, focusLost, getControl, getErrorMessage, getLayoutData, getStyle, getValidator, getValue, isActivated, isCopyEnabled, isCorrect, isCutEnabled, isDeleteEnabled, isDirty, isFindEnabled, isPasteEnabled, isRedoEnabled, isSelectAllEnabled, isUndoEnabled, isValueValid, keyReleaseOccured, markDirty, performCopy, performCut, performDelete, performFind, performPaste, performRedo, performSelectAll, performUndo, removeListener, removePropertyChangeListener, setErrorMessage, setFocus, setStyle, setValidator, setValue, setValueValid, valueChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### labelProvider

    protected ILabelProvider labelProvider

Constructor Detail

### ExtendedDialogCellEditor

    public ExtendedDialogCellEditor(Composite composite,
                                    ILabelProvider labelProvider)

Method Detail

### updateContents

    protected void updateContents(java.lang.Object object)

  Overrides:
    `updateContents` in class `DialogCellEditor`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.